// To parse this JSON data, do
//
//     final loginPassword = loginPasswordFromJson(jsonString);

import 'dart:convert';

LoginPassword loginPasswordFromJson(String str) => LoginPassword.fromJson(json.decode(str));

String loginPasswordToJson(LoginPassword data) => json.encode(data.toJson());

class LoginPassword {
  LoginPassword({
    this.totalItemsCount,
    this.data,
    this.messageStatus,
    this.message,
  });

  dynamic totalItemsCount;
  Data? data;
  int? messageStatus;
  String? message;

  factory LoginPassword.fromJson(Map<String, dynamic> json) => LoginPassword(
    totalItemsCount: json["totalItemsCount"],
    data: json["data"] == null ? null : Data.fromJson(json["data"]),
    messageStatus: json["messageStatus"] == null ? null : json["messageStatus"],
    message: json["message"] == null ? null : json["message"],
  );

  Map<String, dynamic> toJson() => {
    "totalItemsCount": totalItemsCount,
    "data": data == null ? null : data!.toJson(),
    "messageStatus": messageStatus == null ? null : messageStatus,
    "message": message == null ? null : message,
  };
}

class Data {
  Data({
    this.userToken,
  });

  String? userToken;

  factory Data.fromJson(Map<String, dynamic> json) => Data(
    userToken: json["userToken"] == null ? null : json["userToken"],
  );

  Map<String, dynamic> toJson() => {
    "userToken": userToken == null ? null : userToken,
  };
}
